#include "mysignal.h"





typedef struct {
  SIG_OBJ;
  int test_var;
}test_sig_obj;

signal test_signal(test_sig_obj* t, int a, int b);

signal test_signal2(test_sig_obj* t, int a, int b,const char*c);


typedef struct {
  SIG_OBJ;
  int test_var;
}test_sig_obj2;

slot test_slot(test_sig_obj2* obj, int a, int b);


typedef struct {
  SIG_OBJ;
  int test_var;
  int test_var2;
}test_sig_obj3;

slot test_slot3(test_sig_obj3* obj, int a, int b);

slot test_slot3_2(test_sig_obj3* obj, int a, int b,const char*c);